Page MenuHomePhabricator

[Extension:Push] Use addJsConfigVars instead of addInlineScript
Closed, ResolvedPublic

Description

Use addJsConfigVars instead of addInlineScript, Variable should be declared by addJsConfigVars.

Solution

Use addJsConfigVars instead of addInlineScript in src/PushTab.php and src/SpecialPush.php

Level

Easy

Reserved for Mini-MWT at VVIT (Feb 2019)

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptFeb 18 2019, 6:37 PM
Liuxinyu970226 added a subscriber: Liuxinyu970226.

I saw that there's no documentation created on mw.org.

That's because the extension is actually named Push, not PushTab.

Dinoguy1000 renamed this task from [Extension:PushTab] Use addJsConfigVars instead of addInlineScript to [Extension:Push] Use addJsConfigVars instead of addInlineScript .Feb 22 2019, 8:33 AM
Leelasai claimed this task.Feb 23 2019, 5:01 AM

Change 492443 had a related patch set uploaded (by B leelasai; owner: B leelasai):
[mediawiki/extensions/Push@master] Use addJsConfigVars instead of addInlineScript

https://gerrit.wikimedia.org/r/492443

Change 492443 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: B leelasai):
[mediawiki/extensions/Push@master] Use addJsConfigVars instead of addInlineScript

https://gerrit.wikimedia.org/r/492443

Change 492443 merged by jenkins-bot:
[mediawiki/extensions/Push@master] Use addJsConfigVars instead of addInlineScript

https://gerrit.wikimedia.org/r/492443

Jayprakash12345 closed this task as Resolved.Jun 20 2019, 7:32 PM
Jayprakash12345 removed a project: Patch-For-Review.